{{ attach_library('growhappytheme/lct-faq') }}
{% include directory ~ '/templates/navigation/menu-new.html.twig' %}
{# {{ page.navigation }} #}

<style media="screen">
	.ghc_hero_campaign{
		margin-top: 68px;
		margin-bottom: 41px;
	}

	#ghc_hero_image{
		width: 100%;
    border-radius: 11px;
	}

	.ghc_form_campaign{
		font-size: 1.3rem;
		color: 073EA4;
		border-color: #073EA4;
	}

	.form_campaign{
		background: #F1FAFF;
		padding: 33px;
		border-radius: 10px;
		margin-bottom: 38px;
	}

	.text-style{
	  font-size: 14px;
	  color: #003DA6;
	}

	@media only screen and (max-width: 600px) {
	    .desktop-view {
	        display: none !important;
	      }
	    }

	 @media only screen and (min-width: 600px) {
	   .mobile-view {
	     display: none !important;
	   }
	 }
</style>

<main role="main" style="margin-top: 0;">
	<a href="">
	<div class="container ghc_hero_campaign">
    <img id="ghc_hero_image" src="https://www.growhappy.co.id/sites/default/files/2021-01/BANNER_MOBILE_DIGICLASS_2-01_%281%29.jpg" alt="digiclass">
  </div>
	</a>

	<div class="container text-md-center" style="font-family: 'CrossWordBelle'; margin-top: -50px; text-align: center; color: #003DA6;">
		 <div class="row justify-content-center">
			 <div class="col-12 col-md-8 col-lg-5" style="margin-top: 66px;">
				 <h3>
					 GRATIS ACTIVITY BOX SI KECIL
					 <br>
					 Untuk Kelas Belajar Online Cukup submit 1 kode unik min.750 gram pada kotak dibawah ini dan isi alamat pengiriman.
					 <br>
					 Submit sekarang!
				 	 <br>
					 <br>
				 	 Pilihan Jadwal Kelas Belajar Online
				 </h3>
				 <div class="container" style="margin-left: -52px; width: 100%;">
				 		<img src="https://www.growhappy.co.id/sites/default/files/2021-04/Jadwal_Kelas_Juni_2021.png" style="width: 121%;" alt="jadwal kelas">
				 </div>
			 </div>
		 </div>
	</div>

	{% if msg is empty %}
		{% else %}
		<div class="container">
			<div class="alert alert-danger" style="text-align: center">
				<p>{{ msg }}</p>
			</div>
		</div>
	{% endif %}

	{% if status is empty %}
		{% else %}
		{% if status == 1 %}
		<div class="container">
			<div class="alert alert-success" style="text-align: center">
				<p>Data berhasil tersubmit</p>
			</div>
		</div>
		{% endif %}
	{% endif %}

	<div class="container desktop-view" id="testNewForm" style="width: 50%;">
			<form class="form_campaign" name="form" method="post" action="{{ url('growhappy_mod.little-digiclass') }}">
				<div class="container" style="width: 64% !important;">
					<div class="row">
						<div class="col-md-12">
							<div class="form-group">
								<p style="padding-left: 10px; text-align: center;"><strong>Submit Kode Unik</strong></p>
									<input type="text" name="code" class="form-control ghc_form_campaign" id="code" placeholder="Masukkan Kode Unik" required>
									<input type="hidden" name="retail" value="24">
							</div>
						</div>
				</div>
			</div>

		<br>

		<div class="container" style="margin-top: -14px; margin-bottom: 30px; width: 64%;">
			<div  class="col-xs-12 text-center" style="padding:0">
				<button type="submit" class="btn btn-primary" style="font-size: 1.5rem;"><strong>Submit</strong></button>
			</div>
		</div>
				</form>
		</div>

		<div class="container mobile-view" id="testNewForm">
				<form class="form_campaign" name="form" method="post" action="{{ url('growhappy_mod.little-digiclass') }}">
					<div class="container">
						<div class="row">
							<div class="col-md-12">
								<div class="form-group">
									<p style="padding-left: 10px; text-align: center;"><strong>Submit Kode Unik</strong></p>
										<input type="text" name="code" class="form-control ghc_form_campaign" id="code" placeholder="Masukkan Kode Unik" required>
										<input type="hidden" name="retail" value="24">
								</div>
							</div>
					</div>
				</div>

			<br>

			<div class="container" style="margin-top: 20px; margin-bottom: 30px;">
				<div  class="col-xs-12 text-center" style="padding:0">
					<button type="submit" class="btn btn-primary" style="font-size: 1.5rem;"><strong>Submit</strong></button>
				</div>
			</div>
					</form>
			</div>

</main>

<!-- Submit Modal -->
<div class="modal fade" id="submitModal" data-backdrop="static" data-keyboard="false" tabindex="-1" aria-labelledby="submitModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-dialog-centered">
    <div class="modal-content overflow-hidden">
      <div class="modal-body bg-primary text-white text-center p-lg-4">
        <button type="button" id="btn-close-modal" class="close float-right text-white" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
        <img class="m-auto mb-4" src="{{ url('<front>') }}themes/growhappytheme/assets/images/icon-baloon.svg" alt="">
        <h2 id="message-header">Submit Kode Sedang diproses!</h2>
        <div id="message-body">Mohon Tunggu...</div>
        <a id="message-button" href="{{ url('<front>') }}profile" class="btn btn-block bg-white text-blue rounded-lg px-3" style="display: none;">Coba Lagi</a>
      </div>
    </div>
  </div>
</div>

{% if page.footer %}
	<footer
		id="primary-footer">
		{# {{ page.footer }} #}
		{% include directory ~ '/templates/includes/_footer_nestle.html.twig' %}
	</footer>
{% else %}
	{% include directory ~ '/templates/includes/_foot.html.twig' %}
{% endif %}

<script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
<script type="text/javascript">
  var origin = "{{ url('growhappy_mod.job') }}";
  $("#form-submit").submit(function(e) {
    e.preventDefault(); // avoid to execute the actual submit of the form.
    var form = $(this);
    var url = form.attr('action');
    var type = $(this).attr("method");

    var message_header_loading = "Submit Kode Sedang diproses!";
    var message_header_fail = "Tukar Poin Happy Parents Gagal";

    var message_body_loading = "<p>Mohon Tunggu...</p>";
    var message_body_fail = "<p>Terjadi kesalahan pada server</p>";

    var message_button_fail = "Coba Lagi";



    $("#submitModal").modal('show');

    $.ajax({
        type: type,
        url: url,
        data: form.serialize(),
        beforeSend: function() {
            $("#btn-submit").prop('disabled', true);
            $("#message-header").html(message_header_loading);
            $("#message-body").html(message_body_loading);
            $("#message-button").hide();
            $("#btn-close-modal").hide();
            console.log('Loading');
        },
        success: function(data)
        {
            var data = JSON.parse(data);
            // console.log(data);
            let { jobId } = data;
            if(jobId){
                // console.log('dapet job '+jobId);
                intervalId = setInterval(() => checkJobStatus(jobId), 3000);
            }else{
                message_body_fail = '';
                $.each(data.errors, function( k, v ) {
                    message_body_fail += '<p>'+v+'</p>';
                });
                $("#message-header").html(message_header_fail);
                $("#message-body").html(message_body_fail);
                $("#message-button").html(message_button_fail);
                $("#message-button").show();
                $("#btn-close-modal").show();
            }
            $("#btn-submit").prop('disabled', false);
        },
        error: function(xhr, status, error) {
            var error = eval("(" + xhr.responseText + ")");
            // console.log(error.message);
            $("#message-header").html(message_header_fail);
            $("#message-body").html('<p>'+error.message+'</p>');
            $("#message-button").html(message_button_fail);
            $("#message-button").show();
            $("#btn-close-modal").show();
        }
    });

    let checkJobStatus = (jobId) => {
        $.get(origin+'?jobId=' + jobId, (data_job) => {
            var counter = 0;
            var data_job = JSON.parse(data_job);
            if (! data_job.done) {
                if (counter >= 5)
                {
                    // console.log('belum done '+data_job);
                    $("#message-header").html(message_header_loading);
                    $("#message-body").html(message_body_loading);
                    $("#message-button").hide();
                    $("#btn-close-modal").hide();
                }

                return;
            }

            clearInterval(intervalId);
            // console.log(data_job);
            if (! data_job.success) {
                // console.log('job fail '+data_job.errors);
                message_body_fail = '<p>'+data_job.errors+'</p>';
                $("#message-header").html(message_header_fail);
                $("#message-body").html(message_body_fail);
                $("#message-button").html(message_button_fail);
                $("#message-button").show();
                $("#btn-close-modal").show();
            }else{
                // console.log('success'+ data_job.payload);
                $("#message-header").html("Penambahan Happy Points Berhasil!");
                $("#message-body").html('<p>Selamat, Happy Parents berhasil mendapatkan<br>'+data_job.payload.amount+' Happy Points.<br>Kirimkan kode unik sebanyak-banyaknya untuk mendapatkan lebih banyak poin dan menukarnya dengan rewards menarik.</p><p>Untuk melihat status penambahan Happy Points, silakan cek Riwayat di Profil Happy Parents.</p>');
                $("#message-button").html('Lihat Status');
                $("#message-button").show();
                $("#btn-close-modal").show();
            }
        });
    }
  });

$(document).ready(function () {
  $('input[name="statusHistory"]').click(function () {
      $(this).tab('show');
      $(this).removeClass('active');
  });
})
</script>
